Valorant API Unofficial docs
API Reference Local Endpoints
GET

Account Alias

Gets the player username and tagline

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/player-account/aliases/v1/active

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

active boolean
created_datetime number

Milliseconds since epoch

game_name string
summoner boolean
tag_line string